Gtk_Entry(3)

NAME - Gtk_Entry

HEADER REQUIRED
#include <gtk--/entry.h&gt;>

BASE CLASSES
Gtk_Editable(3)

DERIVED BY
Gtk_SpinButton(3)

PROPERTIES

text_area
    Type: GdkWindow*

backing_pixmap
    Type: GdkPixmap*

cursor
    Type: GdkCursor*

text
    Type: GdkWChar*

text_size
    Type: guint16

     allocated size

text_length
    Type: guint16

     length in use

text_max_length
    Type: guint16

scroll_offset
    Type: gint

visible
    Type: guint:1

timer
    Type: guint32

button
    Type: guint

char_offset
    Type: gint*

     The x-offset of each character (including the last insertion position) * only valid when the widget is realized

text_mb
    Type: string

     Same as 'text', but in multibyte

text_mb_dirty
    Type: guint:1

     If true, 'text' and 'text_mb' are not coherent

use_wchar
    Type: guint:1

     If true, we use the encoding of wchar_t as the encoding of 'text'. * Otherwise we use the encoding of multi-byte characters instead.

PUBLIC MEMBER INDEX
    Gtk_Entry();
    Gtk_Entry(guint max);
    Gtk_Entry(GtkEntry *castitem);
    void  set_text(const string &text);
    string  get_text() const;
    unsigned int  get_text_length() const;
    void  append_text(const string &text);
    void  prepend_text(const string &text);
    void  select_region(gint start, gint end);
    void  set_position(gint position);
    void  set_visibility(bool visible);
    void  set_max_length(guint16 max);
    GtkEntry*  gtkobj();
    const GtkEntry*  gtkobj() const;
    static bool  isGtkEntry(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkEntry  BaseObjectType;
    typedef GtkEntryClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  entry_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS